Re: dmm-csit:query about the kernel versions of jenkins machines


Edward Warnicke
 

I would strongly suggest updating… 16.04 is extremely old… as is the 3.10 kernel.

While supporting historical releases can be good, requiring the ancient is often a strong impediment to adoption.

Ed


On July 8, 2018 at 10:10:33 PM, Sharath Kumar (sharathkumarboyanapally@...) wrote:

Hello Ed,

Currently DMM has dependancy with DPDK16.04 and

DPDK16.04 install is failing in the Centos jenkins machines[where we run bootstrap.sh] and DUTs with the error

error: too few arguments to function ‘ndo_dflt_bridge_getlink’

https://jenkins.fd.io/job/csit-dmm-functional-master-centos7-virl/80/consoleFull

Thanks and  Regards,
Sharath.

On Sun, Jul 8, 2018 at 9:49 PM, Ed Warnicke <hagbard@...> wrote:
Sharath,

That’s a *very* old kernel, what issues are you seeing?

Ed


On July 5, 2018 at 10:34:39 AM, Sharath Kumar (sharathkumarboyanapally@gmail.com) wrote:

Hello all,

We are working on "csit-dmm-functional" jenkins job.
There we have an issue with the kernel version of centos.


Is it possible to configure the required kernel version[centos : 3.10.0-327.el7.x86_64] on jenkins machines[where we run bootstrap.sh], and DUT machines?

Thanks and regards,
sharath.

Join ci-management-dev@lists.fd.io to automatically receive all group messages.